Operations Management/Tenant Management (Plus)/Project Operations
PUTProject OperationsSince 0.6SynchronousAuth Required
ChangeRoleState
ChangeRoleState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
changerolestateObjectRequiredchangerolestate request body object.
stateEventRoleStateEventRequired状态事件。
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/identities/roles/{uuid}/actions
/zstack/v1/identities/roles/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/identities/roles/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changerolestate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "69f93c9ed74235e18019dafcf3f1fb65", "name": "role-1", "description": "role for test", "type": "Customized", "state": "Enabled", "statements": [ "statement for test" ] } }Change History
This API has no change history records yet.
